> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aleannlab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Password



## OpenAPI

````yaml post /api/change-password
openapi: 3.0.0
info:
  title: SirenAI-v
  version: 1.0.0
servers:
  - url: http://{{base_url}}
security: []
tags:
  - name: PROD
  - name: PROD > Auth
  - name: PROD > Chat
  - name: PROD > Profile
  - name: PROD > Influencer
paths:
  /api/change-password:
    post:
      tags:
        - PROD > Auth
      summary: Change Password
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                password: '{{user_password}}'
                new_password: ccddssfs4fefssasf
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Thu, 28 Dec 2023 08:49:20 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: '47'
            Connection:
              schema:
                type: string
                example: keep-alive
            CF-Cache-Status:
              schema:
                type: string
                example: DYNAMIC
            Report-To:
              schema:
                type: string
                example: >-
                  {"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=M%2F6UDjQXXiMZxqswfVxYLlKqxv%2FHHTI%2F9E%2B5VnI67L%2BVK4Ei44omqa0cQIMSYky4A5iN%2FRwZG4iMvALnwBNn%2FjyzDlx4AcfzJ9%2BxRbjPHhOPgSpb%2FSTiZN90CjZkuZlo3SNTajc%3D"}],"group":"cf-nel","max_age":604800}
            NEL:
              schema:
                type: string
                example: '{"success_fraction":0,"report_to":"cf-nel","max_age":604800}'
            Server:
              schema:
                type: string
                example: cloudflare
            CF-RAY:
              schema:
                type: string
                example: 83c88ca52d0a5b78-VIE
            alt-svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
              example:
                message: User changed password successful
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````